% This is part of the TFTB Reference Manual.
% Copyright (C) 1996 CNRS (France) and Rice University (US).
% See the file refguide.tex for copying conditions.


\markright{tfrppage}
\section*{\hspace*{-1.6cm} tfrppage}

\vspace*{-.4cm}
\hspace*{-1.6cm}\rule[0in]{16.5cm}{.02cm}
\vspace*{.2cm}

{\bf \large \sf Purpose}\\
\hspace*{1.5cm}
\begin{minipage}[t]{13.5cm}
Pseudo-Page time-frequency distribution.
\end{minipage}
\vspace*{.5cm}

{\bf \large \sf Synopsis}\\
\hspace*{1.5cm}
\begin{minipage}[t]{13.5cm}
\begin{verbatim}
[tfr,t,f] = tfrppage(x)
[tfr,t,f] = tfrppage(x,t)
[tfr,t,f] = tfrppage(x,t,N)
[tfr,t,f] = tfrppage(x,t,N,h)
[tfr,t,f] = tfrppage(x,t,N,h,trace)
\end{verbatim}
\end{minipage}
\vspace*{.5cm}

{\bf \large \sf Description}\\
\hspace*{1.5cm}
\begin{minipage}[t]{13.5cm}
        {\ty tfrppage} computes the pseudo-Page distribution of a
        discrete-time signal {\ty x}, or the cross pseudo-Page
        representation between two signals. The pseudo-Page distribution
        has the following expression\,:
\begin{eqnarray*}
PP_x(t,\nu) = 2\ \Re{\left\{x(t)\ \left(\int_{-\infty}^t\ x(u)\ h^*(t-u)\
e^{-j2\pi \nu u}du\right)^* \ e^{-j2\pi \nu t}\right\}}.
\end{eqnarray*}

\hspace*{-.5cm}\begin{tabular*}{14cm}{p{1.5cm} p{8cm} c}
Name & Description & Default value\\
\hline
        {\ty x}     & signal if auto-PPage, or {\ty [x1,x2]} if
			cross-PPage ({\ty Nx=length(x)}) \\
        {\ty t}     & time instant(s)          & {\ty (1:Nx)}\\
        {\ty N}     & number of frequency bins & {\ty Nx}\\
        {\ty h}     & frequency smoothing window, {\ty h(0)} being forced to {\ty 1}
                                         & {\ty window(odd(N/4))}\\ 
        {\ty trace} & if nonzero, the progression of the algorithm is shown
                                         & {\ty 0}\\
     \hline {\ty tfr}   & time-frequency representation\\
        {\ty f}     & vector of normalized frequencies\\
 
\hline
\end{tabular*}
\vspace*{.2cm}

When called without output arguments, {\ty tfrppage} runs {\ty tfrqview}.
\end{minipage}
\vspace*{1cm}

{\bf \large \sf Example}
\begin{verbatim}
         sig=fmlin(128,0.1,0.4); 
         tfrppage(sig);
\end{verbatim}

%\newpage

{\bf \large \sf See Also}\\
\hspace*{1.5cm}
\begin{minipage}[t]{13.5cm}
all the {\ty tfr*} functions.
\end{minipage}
\vspace*{.5cm}


{\bf \large \sf References}\\
\hspace*{1.5cm}
\begin{minipage}[t]{13.5cm}
[1] C. Page ``Instantaneous Power Spectra'' J. Appl. Phys., Vol. 23,
pp. 103-106, 1952.  \\

[2] P. Flandrin, B. Escudier, W. Martin ``Représentations Temps-Fréquence
et Causalité'', GRETSI-85, Juan-les-Pins (France), pp. 65-70, 1985.
\end{minipage}

